Contacts
Create contact inbox
Create a contact inbox record for an inbox
POST
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
/
{id}
/
contact_inboxes
Create contact inbox
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"inbox_id": 1,
"source_id": "<string>"
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes"
payload = {
"inbox_id": 1,
"source_id": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inbox_id: 1, source_id: '<string>'})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/contacts/{id}/contact_inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_id": "<string>",
"inbox": {
"id": 123,
"avatar_url": "<string>",
"channel_id": 123,
"name": "<string>",
"channel_type": "<string>",
"provider": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
ID of the contact
Body
application/json
⌘I
Create contact inbox
